# coding: utf-8

import sys
from PyQt5.QtWidgets import QApplication, QMainWindow, QPushButton, QFileDialog, QVBoxLayout, QWidget
import pygame

class ReproductorMusica(QMainWindow):
    def __init__(self):
        super().__init__()
        self.setWindowTitle("Reproductor de Música")
        self.setGeometry(100, 100, 300, 200)

        # Inicializar el reproductor de audio
        pygame.mixer.init()

        # Crear un botón para cargar música
        self.load_button = QPushButton("Cargar música", self)
        self.load_button.setGeometry(100, 50, 100, 30)
        self.load_button.clicked.connect(self.load_music)

        # Crear un botón para reproducir música
        self.play_button = QPushButton("Reproducir", self)
        self.play_button.setGeometry(100, 100, 100, 30)
        self.play_button.setEnabled(False)
        self.play_button.clicked.connect(self.play_music)

        # Crear un layout vertical
        layout = QVBoxLayout()
        layout.addWidget(self.load_button)
        layout.addWidget(self.play_button)

        # Crear un widget y establecer el layout en la ventana principal
        widget = QWidget()
        widget.setLayout(layout)
        self.setCentralWidget(widget)

    def load_music(self):
        # Abrir un cuadro de diálogo para seleccionar un archivo de música
        file_name, _ = QFileDialog.getOpenFileName(self, "Cargar música", "", "Archivos de música (*.mp3)")
        if file_name:
            # Cargar el archivo de música seleccionado
            pygame.mixer.music.load(file_name)
            self.play_button.setEnabled(True)

    def play_music(self):
        # Reproducir la música cargada
        pygame.mixer.music.play()

if __name__ == "__main__":
    app = QApplication(sys.argv)
    reproductor = ReproductorMusica()
    reproductor.show()
    sys.exit(app.exec_())
